Name:                docker-client-java
Version:             8.11.7
Release:             2
Summary:             Docker Client
Provides:            docker-client = %{version}-%{release}
Obsoletes:           docker-client < %{version}-%{release}
License:             ASL 2.0
URL:                 https://github.com/spotify/docker-client
Source0:             https://github.com/spotify/docker-client/archive/v%{version}.tar.gz
Patch0:              0001-Port-to-latest-version-of-Google-AutoValue.patch
Patch1:              0002-Change-Base64-Path.patch
BuildRequires:       maven-local mvn(com.fasterxml.jackson.core:jackson-databind)
BuildRequires:       mvn(com.fasterxml.jackson.datatype:jackson-datatype-guava)
BuildRequires:       mvn(com.fasterxml.jackson.jaxrs:jackson-jaxrs-json-provider)
BuildRequires:       mvn(com.github.jnr:jnr-unixsocket)
BuildRequires:       mvn(com.google.auto.value:auto-value) >= 1.4.1
BuildRequires:       mvn(com.google.code.findbugs:jsr305) mvn(com.google.guava:guava:20.0)
BuildRequires:       mvn(commons-io:commons-io) mvn(commons-lang:commons-lang)
BuildRequires:       mvn(org.apache.commons:commons-compress)
BuildRequires:       mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:       mvn(org.apache.httpcomponents:httpclient)
BuildRequires:       mvn(org.apache.httpcomponents:httpcore)
BuildRequires:       mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:       mvn(org.bouncycastle:bcpkix-jdk15on) mvn(org.glassfish.hk2:hk2-api)
BuildRequires:       mvn(org.glassfish.jersey.connectors:jersey-apache-connector)
BuildRequires:       mvn(org.glassfish.jersey.core:jersey-client)
BuildRequires:       mvn(org.glassfish.jersey.media:jersey-media-json-jackson)
BuildRequires:       mvn(org.slf4j:slf4j-api)
BuildArch:           noarch
%description
The Docker Client is a Java API library for accessing a Docker daemon.

%prep
%setup -q -n docker-client-%{version}
%patch0 -p1
%patch1 -p1
%pom_remove_parent
sed -i -e '/<packaging>/a<groupId>com.spotify</groupId>' pom.xml
%pom_remove_plugin :maven-shade-plugin
%pom_remove_plugin :jacoco-maven-plugin
%pom_remove_dep com.google.code.findbugs:annotations
sed -i -e '/SuppressFBWarnings/d' src/main/java/com/spotify/docker/client/DefaultDockerClient.java \
  src/main/java/com/spotify/docker/client/messages/{Host,Container}Config.java
%pom_remove_dep :google-auth-library-oauth2-http
rm -rf src/{main,test}/java/com/spotify/docker/client/auth/gcr
%pom_add_dep org.glassfish.hk2:hk2-api
%pom_add_plugin "org.apache.felix:maven-bundle-plugin" pom.xml \
"<configuration>
  <instructions>
    <Bundle-SymbolicName>\${project.groupId}.docker.client</Bundle-SymbolicName>
    <_nouses>true</_nouses>
  </instructions>
</configuration>
<executions>
  <execution>
    <id>create-manifest</id>
    <phase>process-classes</phase>
    <goals><goal>manifest</goal></goals>
  </execution>
</executions>"
%pom_add_plugin "org.apache.maven.plugins:maven-jar-plugin" pom.xml \
"<configuration>
  <archive>
    <manifestFile>\${project.build.outputDirectory}/META-INF/MANIFEST.MF</manifestFile>
  </archive>
</configuration>"

%build
%mvn_build -j -f

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE
%doc README.md

%changelog
* Mon Jun 28 2021 caodongxia <caodongxia@huawei.com> - 8.11.7-2
- Fix Base64 path 

* Wed Aug 19 2020 yanan li <liyanan032@huawei.com> - 8.11.7-1
- Package init
